@charset "UTF-8";

/*!
Theme Name: Cocoon Child
Description: Cocoon専用の子テーマ
Theme URI: https://wp-cocoon.com/
Author: わいひら
Author URI: https://nelog.jp/
Template:   cocoon-master
Version:    1.1.3
*/

/************************************
** 子テーマ用のスタイルを書く
************************************/
/*必要ならばここにコードを書く*/

/************************************
** レスポンシブデザイン用のメディアクエリ
************************************/
/*1023px以下*/
@media screen and (max-width: 1023px){
  /*必要ならばここにコードを書く*/
}

/*834px以下*/
@media screen and (max-width: 834px){
  /*必要ならばここにコードを書く*/
}

/*480px以下*/
@media screen and (max-width: 480px){
  /*必要ならばここにコードを書く*/
}

/* SNSフォローボタンカスタマイズ */
 .sidebar .sns-follow-buttons {
   justify-content: center; /*ボタンを中央寄せにする*/
 }
 .sidebar .sns-follow {
   margin: 0 0 24px 0;
 }
 .sidebar .sns-follow-buttons a {
   border-radius: 50%;
   width: 40px; /*ボタンの横の大きさ*/
   height: 40px; /*ボタンの縦の大きさ*/
   font-size: 20px; /*アイコンのサイズ*/
   margin: 0 6px; /*ボタン同士の間隔*/
 }
 .sidebar .instagram-button {
   background-color: #c522b8 !important;
 }

/* プロフィールのSNSアイコン */
/* リンクアイコンのデザインを丸くする */
.author-box .sns-follow .sns-follow-buttons a.follow-button {
  font-size: 36px;
  width: 46px;
  height: 46px;
  margin-bottom: 10px;
  margin-right: 10px;
  color: #fff;
  border: none;
  border-radius: 50%;
  box-shadow: 0 0 5px 0 rgba(0,0,0,.1),0 3px 5px 0 rgba(0,0,0,.2);
}

/* アイコンをセンタリングする */
.author-box .sns-follow-buttons a.follow-button span::before {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -55%);
}

/* リンクアイコンの背景色にSNSのブランドカラーを設定する */
.author-box .sns-follow-buttons a.twitter-button {
  background-color: #1da1f2 !important;
}

.author-box .sns-follow-buttons a.feedly-button {
  background-color: #6cc655 !important;
}

.author-box .sns-follow-buttons a.rss-button {
  background-color: #f26522 !important;
}

/* SNSシェアボタンの変更 */
#main .button-caption {
	display: none; /*キャプション非表示*/
}

#main .sns-share a {
	height: 25px; /*ボタンの高さ*/
}

/************************************
** ブログカード
************************************/
.blogcard-snippet,
.blogcard-footer {
  display: none;
}
.blogcard-wrap {
  transition: all .3s;
  max-width: 600px;
  margin: 2em auto;
}
.blogcard {
  border:1px solid #eaeaea !important;
  box-shadow: 0 2px 5px rgba(0, 0, 0, .15);
  padding: 10px;
}
.blogcard-wrap:hover {
  background: none;
  transform: translateY(-3px);
  box-shadow: 0px 10px 20px rgba(0, 0, 0, .1);
}
.blogcard-thumbnail {
  margin: 0;
}
.blogcard-thumbnail img {
  display: block;
}
.blogcard-title {
  color: #555;
  letter-spacing: 0.5px;
  font-size: 15px;
  line-height: 1.5;
  margin: 10px 0 0 0;
  height: 45px;
  overflow: hidden;
}
.blogcard-content {
  min-height: auto;
  margin-left: 185px;
  padding-right: 6px;
}
.blogcard-label {
  top: -11px;
  left: 9px;
  padding: 3px 0.6em;
  background:#aaa;
  padding: 1px 10px;
  font-weight: 600;
  font-size: 11px;
  letter-spacing: 1px;
}
.blogcard-content:after {
  content: "クリックして読む";
  background: #7CCFFF; /* 背景色 */
  display: block;
  text-align: center;
  color: #fff;
  font-weight: 600;
  letter-spacing: 1px;
  width: 180px;
  border-radius: 20px;
  font-size: 13px;
  padding: 1px 0;
  margin-top: 6px;
}
@media screen and (max-width: 834px) {
  .blogcard-content {
    margin-left: 130px;
  }
  .blogcard-title {
    font-size:12px;
    line-height: 1.5;
    height: auto;
    margin:0;
  }
  .blogcard-content:after {
    content: "タップして読む";
  }
  .blogcard-thumbnail{
    width:120px;
  }
}
@media screen and (max-width: 560px) {
  .blogcard-content:after {
    width: 120px;
    font-size: 12px;
  }
  .blogcard-title {
    margin:0;
  }
}
@media screen and (max-width: 320px) {
  .blogcard-thumbnail {
    width: 100px;
  }
  .blogcard-content {
    margin-left: 110px;
  }
  .blogcard-title {
    height: 35px;
  }
}

/************************************
** 記事選択時の浮き上がり
************************************/
.a-wrap:hover{
transform: translateY(-2px);
box-shadow: 2px 2px 6px 0 #ccc;
}

/************************************
** 記事一覧のページネーション変更
************************************/
.page-numbers {
 border-radius: 50%;
}

.pagination-next {
 display: none;
}